%define module rt2860
%define version 1.7.0.0
%define card Ralink RT2860 WiFi cards

%define distname 2008_0708_RT2860_Linux_STA_v%{version}

Summary: dkms package for %{module} driver
Name: dkms-%{module}
Version: %{version}
Release: %mkrel 2
Source0: http://www.ralinktech.com.tw/data/drivers/%{distname}.tar.bz2
Source1: dkms-rt2860-wext_compat.patch
Patch0: dkms-rt2860-Makefile.patch
Patch1: dkms-rt2860-nd_net.patch
Patch2: dkms-rt2860-firmware.patch
Patch3: dkms-rt2860-strip_firmware.patch
License: GPLv2+
Group: System/Kernel and hardware
URL: http://www.ralinktech.com/
Requires(preun): dkms
Requires(post): dkms
Suggests: rt2860-firmware
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
This package contains the %{module} driver for
%{card}.

%prep
%setup -q -n %{distname}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# We don't want to ship firmware here, already provided by separated package
# (rt2860-firmware, see also dkms-rt2860-strip_firmware.patch)
rm -f common/rt2860.bin
rm -rf tools

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}/patches
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME=%{module}
PACKAGE_VERSION=%{version}-%{release}

DEST_MODULE_LOCATION[0]=/kernel/3rdparty/%{module}
BUILT_MODULE_NAME[0]=%{module}sta
BUILT_MODULE_LOCATION[0]=os/linux

MAKE[0]="make LINUX_SRC=\$kernel_source_dir HAS_WPA_SUPPLICANT=y HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y"
AUTOINSTALL="yes"

PATCH[0]="dkms-rt2860-wext_compat.patch"
PATCH_MATCH[0]="^2\.6\.(2[7-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
EOF

tar c . | tar x -C %{buildroot}/usr/src/%{module}-%{version}-%{release}/

cp %{_sourcedir}/dkms-rt2860-wext_compat.patch \
   %{buildroot}/usr/src/%{module}-%{version}-%{release}/patches

mkdir -p %{buildroot}%{_sysconfdir}/Wireless/RT2860STA
install -m 644 RT2860STA.dat %{buildroot}%{_sysconfdir}/Wireless/RT2860STA

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sysconfdir}/Wireless
/usr/src/%{module}-%{version}-%{release}/

%post -n dkms-%{module}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{version}-%{release}
exit 0

%preun -n dkms-%{module}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{version}-%{release} --all
exit 0


%changelog
* Fri Aug 29 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.0.0-2mdv2009.0
+ Revision: 277121
- Add patch to allow build with kernel 2.6.27

* Tue Jul 29 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.0.0-1mdv2009.0
+ Revision: 253869
- import dkms-rt2860


